﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.C1Preview;

namespace TearOffSample_CSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            C1PrintDocument doc = new C1PrintDocument();
            int i;
            // ' prevent end users from reflowing document (may be useful if
            // ' margins are set to specific paper-dependent values etc.):
            doc.DisableUserReflow = true;
            RenderText footer = new RenderText(("Page [PageNo] of [PageCount]" + ('\t' + ("Sample document" + ('\t' + "Created on [GeneratedDateTime]")))));
            footer.TabPositions.Add(0, TabAlignmentEnum.Left);
            footer.TabPositions.Add("page.width/2", TabAlignmentEnum.Center);
            footer.TabPositions.Add("page.width", TabAlignmentEnum.Right);
            footer.Style.Padding.Top = "1cm";
            doc.PageLayout.PageFooter = footer;
            // ' last page layout:
            doc.PageLayouts.LastPage = new PageLayout();
            doc.PageLayouts.LastPage.PageFooter = new RenderEmpty();
            // ' sample document body (before tear-off):
            for (i = 0; (i <= 355); i++)
            {
                doc.Body.Children.Add(new RenderText(string.Format("Document body, line {0}.", i)));
            }
            RenderEmpty tearoffSpace = new RenderEmpty();
            tearoffSpace.Height = "3cm";
            tearoffSpace.Visibility = VisibilityEnum.Hidden;
            doc.Body.Children.Add(tearoffSpace);
            RenderTable tearoff = new RenderTable();
            tearoff.Cells[0, 0].Text = "This is New Footer for the last page";
            tearoff.Style.BackColor = Color.Aqua;
            tearoff.Height = "5cm";
            tearoff.Style.Borders.Top = LineDef.Default;
            tearoff.Y = "page.bottom - 5cm";
            doc.Body.Children.Add(tearoff);
            this.c1PrintPreviewControl1.Document = doc;
        }
    }
}
